Subject: Re: [PATCH net] net: lan743x: fix duplex configuration in mac_link_up

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 23 Mar 2026 09:32:02 +0000

On Mon, Mar 23, 2026 at 12:23:45PM +0530, Thangaraj Samynathan wrote:
> The driver does not explicitly configure the MAC duplex mode when
> bringing the link up. As a result, the MAC may retain a stale duplex
> setting from a previous link state, leading to duplex mismatches with
> the link partner and degraded network performance.
> 
> Update lan743x_phylink_mac_link_up() to set or clear the MAC_CR_DPX_
> bit according to the negotiated duplex mode.
> 
> This ensures the MAC configuration is consistent with the phylink
> resolved state.
> 
> Fixes: a5f199a8d8a03 ("net: lan743x: Migrate phylib to phylink")
> Signed-off-by: Thangaraj Samynathan <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!